Bug 33499 - [1.6.4] Не хватает зависимости на avr-libc
: [1.6.4] Не хватает зависимости на avr-libc
Status: NEW
: Sisyphus
(All bugs in Sisyphus/avr-gcc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: backport
:
:
  Show dependency tree
 
Reported: 2017-05-23 19:27 by
Modified: 2017-11-06 20:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-05-23 19:27:07
In file included from Blink.ino:18:0:
/usr/share/arduino/hardware/arduino/avr/cores/arduino/Arduino.h:23:20: fatal
error: stdlib.h: No such file or directory

Хотя, вероятно, зависимости не хватает у avr-gcc-c++, и в Сизифе. Но я на p8
пробую пока.
------- Comment #1 From 2017-05-24 07:02:50 -------
На Sisyphus
------- Comment #2 From 2017-11-06 20:38:04 -------
это в avr-gcc
avr-gcc++ требует avr-gcc, а avr-gcc не требует avr-libs

Забыли вернуть после бутстрапа
* Tue May 17 2016 Grigory Milev <week@altlinux.ru> 4.9.2-alt2
- Remove avr-libc from build requires, need for initial ARM build

Кстати, это повод обновиться: в Федоре
avr-binutils-2.28-3.fc27.src.rpm
avr-gcc-6.3.0-3.fc27.src.rpm
avr-gdb-7.1-13.fc24.src.rpm
avr-libc-2.0.0-4.fc27.src.rpm